---
id: videos
title: 'Videos'
sidebar_label: 'Videos'
hide_title: true
---

import LiteYouTubeEmbed from 'react-lite-youtube-embed';
import 'react-lite-youtube-embed/dist/LiteYouTubeEmbed.css'

# Recommended Videos

Here are some excellent video tutorials that we can recommend. These videos show the same "modern Redux" approaches that we teach in our docs.

## Learn Modern Redux Livestream

Redux maintainer Mark Erikson appeared on the "Learn with Jason" show to explain how we recommend using Redux today. The show includes a live-coded example app that shows how to use Redux Toolkit and React-Redux hooks with TypeScript, as well as the new RTK Query data fetching APIs:

<LiteYouTubeEmbed
    id="9zySeP5vH9c"
    title="Learn Modern Redux - Redux Toolkit, React-Redux Hooks, and RTK Query"
/>

## RTK Query Basics: Query Endpoints, Data Flow and TypeScript

A video course on RTK Query basics by Lenz Weber-Tronic, the creator of RTK Query.

You can [watch this RTK Query video course for free at Egghead](https://egghead.io/courses/rtk-query-basics-query-endpoints-data-flow-and-typescript-57ea3c43?af=7pnhj6) or take a look at the first lesson right here:

<div style={{position:"relative",paddingTop:"56.25%"}}>
  <iframe 
    src="https://app.egghead.io/lessons/redux-course-introduction-and-application-walk-through-for-rtk-query-basics/embed?af=7pnhj6" 
    title="RTK Query Video course at Egghead: Course Introduction and Application Walk through for RTK Query Basics"
    frameborder="0" 
    allowfullscreen
    style={{position:"absolute",top:0,left:0,width:"100%",height:"100%"}}
  ></iframe>
</div>

## Redux Toolkit Complete Tutorial with Dave Gray

This 4-hour tutorial video teaches how to use Redux Toolkit by showing how to build the same example app that's covered in [the "Redux Essentials" tutorial](./essentials/part-1-overview-concepts.md), and walks through how each piece of the app works.

<LiteYouTubeEmbed
    id="NqzdVN2tyvQ"
    title="Dave Gray - Redux Toolkit Complete Tutorial"
/>

## Egghead Courses with Jamund Ferguson

Jamund Ferguson has created several excellent "modern Redux" courses on Egghead.

### Modern Redux with Redux Toolkit (RTK) and TypeScript

[Egghead course: Modern Redux with Redux Toolkit and TypeScript](https://app.egghead.io/lessons/react-intro-to-modern-redux-with-rtk-and-typescript?pl=modern-redux-with-redux-toolkit-rtk-and-typescript-64f243c8&af=7pnhj6)

This course takes a basic shopping cart application built with React and fully power it with Redux and RTK using TypeScript. It covers how Redux Toolkit simplifies the process of setting up your Redux application, including building slices, reducers, selectors and thunks, and all typed with TypeScript.

### Modernizing a Legacy Redux Application with React Hooks

[Egghead course: Modernizing a Legacy Redux Application with React Hooks](https://app.egghead.io/lessons/react-setup-the-currency-conversion-calculator?pl=modernizing-a-legacy-redux-application-with-react-hooks-c528&af=7pnhj6)

A course that covers how to modernize existing React+Redux applications from older-style patterns like React class components and the React-Redux `connect` API, to modern patterns with React function components and the React-Redux `useSelector/useDispatch` hooks.

### Confidently Testing Redux Applications with Jest & TypeScript

[Egghead course: Confidently Testing Redux Applications with Jest & TypeScript](https://app.egghead.io/lessons/jest-intro-to-confidently-testing-redux-applications-with-jest-typescript?pl=confidently-testing-redux-applications-with-jest-typescript-16e17d9b&af=7pnhj6)

Best practices for building & testing Redux applications have changed dramatically over time. This course aims to be a comprehensive and up-to-date resource for those seeking to confidently test their Redux apps.
